Imports stores including opening hours.
curl --request POST \
--url https://{host}/store/v3/Stores/import \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--data '
[
{
"id": "<string>",
"name": "<string>",
"chainId": "<string>",
"alternateIds": "<string>",
"registrationNumber": "<string>",
"phone": "<string>",
"email": "<string>",
"country": "<string>",
"city": "<string>",
"street": "<string>",
"streetNumber": "<string>",
"postalCode": "<string>",
"latitude": 123,
"longitude": 123,
"timeZone": "<string>",
"periods": [
{
"openingHour": "00:00:00",
"closingHour": "00:00:00",
"isClosedAllDay": true,
"isOpenedAllDay": true
}
]
}
]
'import requests
url = "https://{host}/store/v3/Stores/import"
payload = [
{
"id": "<string>",
"name": "<string>",
"chainId": "<string>",
"alternateIds": "<string>",
"registrationNumber": "<string>",
"phone": "<string>",
"email": "<string>",
"country": "<string>",
"city": "<string>",
"street": "<string>",
"streetNumber": "<string>",
"postalCode": "<string>",
"latitude": 123,
"longitude": 123,
"timeZone": "<string>",
"periods": [
{
"openingHour": "00:00:00",
"closingHour": "00:00:00",
"isClosedAllDay": True,
"isOpenedAllDay": True
}
]
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify([
{
id: '<string>',
name: '<string>',
chainId: '<string>',
alternateIds: '<string>',
registrationNumber: '<string>',
phone: '<string>',
email: '<string>',
country: '<string>',
city: '<string>',
street: '<string>',
streetNumber: '<string>',
postalCode: '<string>',
latitude: 123,
longitude: 123,
timeZone: '<string>',
periods: [
{
openingHour: '00:00:00',
closingHour: '00:00:00',
isClosedAllDay: true,
isOpenedAllDay: true
}
]
}
])
};
fetch('https://{host}/store/v3/Stores/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"name": "<string>",
"message": "<string>",
"details": null
}
]
}{
"errors": [
{
"name": "<string>",
"message": "<string>",
"details": null
}
]
}{
"name": "<string>",
"message": "<string>",
"details": null
}Imports stores including opening hours.
deprecated
POST
/
v3
/
Stores
/
import
Imports stores including opening hours.
Authorizations
Query Parameters
Available options:
Incremental, Full Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Required string length:
1 - 450Required string length:
1 - 256Required string length:
1 - 450Maximum string length:
128Available options:
Active, Closed, NotSpecified Available options:
Public, Internal Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Last modified on August 10, 2026
⌘I